Bug 1304929 - Section "GROWING A FILE SYSTEM ON A LOGICAL VOLUME" appears incorrect
Section "GROWING A FILE SYSTEM ON A LOGICAL VOLUME" appears incorrect
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: doc-Logical_Volume_Manager (Show other bugs)
7.3
Unspecified Linux
high Severity low
: rc
: ---
Assigned To: Steven J. Levine
ecs-bugs
: Documentation
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-04 20:00 EST by Kwan Lowe
Modified: 2016-11-07 16:22 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-11-07 15:56:43 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kwan Lowe 2016-02-04 20:00:32 EST
Document URL: 
https://access.redhat.com/documentation/en-US/Red_Hat_Enterprise_Linux/7/html/Logical_Volume_Manager_Administration/fsgrow_overview.html

Section Number and Name: 
3.3. GROWING A FILE SYSTEM ON A LOGICAL VOLUME


Describe the issue: 
The process to grow a filesystem appears to be incorrect. 
Text reads:
  "To grow a file system on a logical volume, perform the following steps:
  1. Make a new physical volume.
  2. Extend the volume group that contains the logical volume with the file system  you are growing to include the new physical volume.
  3. Extend the logical volume to include the new physical volume.
  4. Grow the file system.
  If you have sufficient unallocated space in the volume group, you can use that space to extend the logical volume instead of performing steps 1 and 2."


This section seems inaccurate as it suggests adding a new physical volume, extending the vg. then growing the LV with a new PV.


Step 3 also directs extending the LV with a new PV which is not possible as a PV can only be added to a VG. 


Suggestions for improvement: 

It may be clearer to first check if the VG has sufficient space to extend the LV. If so, run the appropriate command (e.g., lvresize -r -L +xG... ). If not, direct the reader to the process to extend the VG with a new PV.

Suggested sequence:
1) Determine if the VG has sufficient space to extend the LV. If not, follow the process to create a new PV and extend the VG.

2. If there is sufficient space in the VG, extend the LV.

3. Resize the filesystem on the LV.

Note that 2 & 3 can often be completed in a single step.

Additional information:
Comment 5 Jonathan Earl Brassow 2016-06-03 11:24:27 EDT
Sure, the statements could use some love.  What the reporter suggests could improve things and is also correct.
Comment 8 Steven J. Levine 2016-06-09 16:56:40 EDT
Jonathan found a couple of small errors, now fixed, and approved the updates.

The procedure in the document has been updated:

 To grow a file system on a logical volume, perform the following steps:

1. Determine whether there is sufficient unallocated space in the existing volume group to extend the logical volume. If not, perform the following procedure:
  
    1.  Create a new physical volume with the pvcreate command.
    2.   Use the vgextend command to extend the volume group that contains the logical volume with the file system you are growing to include the new physical volume. 
    

2. Once the volume group is large enough to include the larger file system, extend the logical volume with the lvresize command.
    

3. Resize the file system on the logical volume. 

Note that you can use the -r option of the lvresize command to extend the logical volume and resize the underlying file system with a single command

Note You need to log in before you can comment on or make changes to this bug.